sailpoint.object

## Class Filter.CompositeFilter

- java.lang.Object
- - sailpoint.object.Filter
  - - sailpoint.object.Filter.CompositeFilter

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Filter

    public static class Filter.CompositeFilter
    extends Filter

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class sailpoint.object.Filter

`Filter.BaseFilterVisitor, Filter.BooleanOperation, Filter.CompositeFilter, Filter.FilterCompiler, Filter.FilterVisitor, Filter.LeafFilter, Filter.LogicalOperation, Filter.MatchMode`

### Constructor Summary

Constructors
Constructor and Description
`CompositeFilter()`
`CompositeFilter(Filter.BooleanOperation operation, Filter... children)`
`CompositeFilter(Filter.BooleanOperation operation, java.util.List<Filter> children)`
`CompositeFilter(Filter.CompositeFilter src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(Filter.FilterVisitor visitor)`
`void` `add(Filter child)`
`java.util.List<Filter>` `getChildren()`
`java.lang.String` `getExpression()`
`Filter.BooleanOperation` `getOperation()`
`void` `setChildren(java.util.List<Filter> children)`
`void` `setOperation(Filter.BooleanOperation op)`
`java.lang.String` `toString()`

### Methods inherited from class sailpoint.object.Filter

`and, and, and, clone, collectionCondition, compile, contains, containsAll, contentEquals, eq, equals, fromExample, ge, getExpression, gt, hashCode, ignoreCase, in, isempty, isnull, join, le, leftJoin, like, like, lt, ne, not, notnull, or, or, or, subquery`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeFilter

    public CompositeFilter()

#### CompositeFilter

    public CompositeFilter(Filter.BooleanOperation operation,
                           Filter... children)

#### CompositeFilter

    public CompositeFilter(Filter.BooleanOperation operation,
                           java.util.List<Filter> children)

#### CompositeFilter

    public CompositeFilter(Filter.CompositeFilter src)

### Method Detail

#### getOperation

    public Filter.BooleanOperation getOperation()

#### setOperation

    public void setOperation(Filter.BooleanOperation op)

#### getChildren

    public java.util.List<Filter> getChildren()

#### setChildren

    public void setChildren(java.util.List<Filter> children)

#### add

    public void add(Filter child)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getExpression

    public java.lang.String getExpression()

Specified by:
  `getExpression` in class `Filter`

#### accept

    public void accept(Filter.FilterVisitor visitor)
                throws GeneralException

Specified by:
  `accept` in class `Filter`
Throws:
  `GeneralException`